### A free/open-source library for quantitative finance

Classes
ql/experimental/exoticoptions/writerextensibleoption.hpp File Reference

Writer-extensible option. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for writerextensibleoption.hpp:

## Classes

class | WriterExtensibleOption
| Writer-extensible option. More...
class | WriterExtensibleOption::arguments
| Additional arguments for writer-extensible option. More...
class | WriterExtensibleOption::engine
| Base engine. More...

## Detailed Description

Writer-extensible option.